Gtk2::RecentAction(3p)

NAME
Gtk2::RecentAction

SYNOPSIS
  my $action = Gtk2::RecentAction->new (name => name,
                                        label => label,
                                        tooltip => tooltip,
                                        stock-id => stock_id,
                                        recent-manager => manager);

Note that the constructor slightly deviates from the convenience constructor in the C API. Instead of passing in a list of values for name, label, tooltip, stock-id and value, you just use key => value pairs like with Glib::Object::new.

HIERARCHY
  Glib::Object
  +----Gtk2::Action
       +----Gtk2::RecentAction

INTERFACES
  Gtk2::Buildable
  Gtk2::RecentChooser

METHODS

•   $show_numbers (boolean)

PROPERTIES

'show-numbers' (boolean : readable / writable)
    Whether the items should be displayed with a number

SEE ALSO
Gtk2, Glib::Object, Gtk2::Action

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.